- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Member Functions | Properties

# QDial Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qdial.h.

`#include <qdial.h>`

Inheritance diagram for QDial:
[legend]

List of all members.

## Public Slots
void | setNotchesVisible (bool visible)
void | setWrapping (bool on)
## Public Member Functions
| QDial (QWidget *parent=0)
| ~QDial ()
bool | wrapping () const
int | notchSize () const
void | setNotchTarget (double target)
qreal | notchTarget () const
bool | notchesVisible () const
QSize | sizeHint () const
QSize | minimumSizeHint () const
## Protected Member Functions
bool | event (QEvent *e)
void | resizeEvent (QResizeEvent *re)
void | paintEvent (QPaintEvent *pe)
void | mousePressEvent (QMouseEvent *me)
void | mouseReleaseEvent (QMouseEvent *me)
void | mouseMoveEvent (QMouseEvent *me)
void | sliderChange (SliderChange change)
void | initStyleOption (QStyleOptionSlider *option) const
## Properties
bool | wrapping
int | notchSize
qreal | notchTarget
bool | notchesVisible

## Constructor & Destructor Documentation

QDial | ( | QWidget * | parent = `0` | ) | `[explicit]`

~QDial | ( |  | ) |

## Member Function Documentation

bool wrapping | ( |  | ) | const

Search for all occurrences

int notchSize | ( |  | ) | const

Search for all occurrences

void setNotchTarget | ( | double | target | ) |

Search for all occurrences

qreal notchTarget | ( |  | ) | const

Search for all occurrences

bool notchesVisible | ( |  | ) | const

Search for all occurrences

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

QSize minimumSizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

void setNotchesVisible | ( | bool | visible | ) | `[slot]`

Search for all occurrences

void setWrapping | ( | bool | on | ) | `[slot]`

Search for all occurrences

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractSlider.

void resizeEvent | ( | QResizeEvent * | re | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void paintEvent | ( | QPaintEvent * | pe | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mousePressEvent | ( | QMouseEvent * | me | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mouseReleaseEvent | ( | QMouseEvent * | me | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mouseMoveEvent | ( | QMouseEvent * | me | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void sliderChange | ( | SliderChange | change | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractSlider.

void initStyleOption | ( | QStyleOptionSlider * | option | ) | const `[protected]`

Search for all occurrences

## Property Documentation

bool wrapping `[read, write]`

Search for all occurrences

Definition at line 63 of file qdial.h.

int notchSize `[read]`

Search for all occurrences

Definition at line 64 of file qdial.h.

qreal notchTarget `[read, write]`

Search for all occurrences

Definition at line 65 of file qdial.h.

bool notchesVisible `[read, write]`

Search for all occurrences

Definition at line 66 of file qdial.h.

The documentation for this class was generated from the following file:

- QtGui/qdial.h

QDial QDial QDial QDial QDial QDial QDial QDial QDial QDial
QDial QDial QDial QDial QDial QDial QDial QDial QDial QDial